/*********************************************
 *  
 *  DS1820 Demo
 *  
 *  LED an Port PD6
 *  Takt 12MHz
 * 
 **********************************************/
#include "main.h"

void long_delay(uint16_t ms) {
    for (; ms>0; ms--) _delay_ms(1);
}


int main( void )
{

  DDRB |= (1<<2);
  PORTB &= ~ (1<<2);                  // Kontrastsignal

  lcd_init(LCD_DISP_ON);              // LCD initialisieren
  lcd_clrscr();
  lcd_puts( "DS18S20 Demo" );
  long_delay(2500);

  while( 1 ) {                // Endlosschleife

    start_meas();
    long_delay(1000);
    read_meas();


  }
  return 0;
}
