/************************************************************************/
/*                                                                      */
/*                      1-Wire Example					*/
/*                                                                      */
/*              Author: Peter Dannegger                                 */
/*                      danni@specs.de                                  */
/*                                                                      */
/************************************************************************/
#ifndef _main_h_
#define _main_h_
#include <avr/io.h>
#include <inttypes.h>
#include <stdio.h>

#ifndef F_CPU
#define F_CPU 12000000UL     // Quarz 12MHz
#endif

#include <util/delay.h>

#define uchar unsigned char
#define uint unsigned int
#define bit uchar
#define idata
#define code


#define W1_PIN	PC4
#define W1_IN	PINC
#define W1_OUT	PORTC
#define W1_DDR	DDRC

#include "1wire.h"
//#include "delay.h"
#include "tempmeas.h"
//#include "timebase.h"
#include "lcd.h"

#endif
