/*********************************************
 *
 * Blink LED Demo
 *
 * LED an Port PD6
 * Takt 12MHz
 *
 *********************************************/
#include <avr/io.h>
#ifndef F_CPU
#define F_CPU 12000000UL     // Quarz 12MHz
#endif
#include <util/delay.h>

void long_delay(uint16_t ms) {
    for (; ms>0; ms--) _delay_ms(1);
}


int main( void )
{
    DDRD = ( 1 << PD6 );        // PD6 an PORTD als Ausgang setzen
 
    while( 1 ) {                // Endlosschleife

        PORTD |= (1 << PD6);    // setzt PD6 an PortD auf 1
        long_delay(1000);       // warten ...

        PORTD &= ~(1 << PD6);   // loescht PD6 an PortD
        long_delay(1000);       // warten ...
    }
 
    return 0;
}
